#!/usr/bin/perl -I/usr/sausalito/perl
# $Id: validate_anon_ftp.pl,v 1.5 2001/11/08 01:32:03 pbaltz Exp $
# Copyright 2000, 2001 Sun Microsystems, Inc., All rights reserved.
#
# make sure all the necessary attributes are filled in if anonymous
# ftp is enabled

use CCE;

my $cce = new CCE;
$cce->connectfd();

my $ftp_site = $cce->event_object();

# if anonymous is enabled, certain attributes must have values
# only worry about the things needed in this handler, which are
# anonymousOwner and quota
my $errors = 0;
if ($ftp_site->{anonymous})
{
    if (!$ftp_site->{anonymousOwner})
    {
        $cce->baddata($cce->event_oid(), 'anonymousOwner', '[[base-ftp.anonymousOwnerRequired]]');
        $errors = 1;
    }
    if (!$ftp_site->{quota})
    {
        $cce->baddata($cce->event_oid(), 'quota', '[[base-ftp.quotaRequired]]');
        $errors = 1;
    }
    if (!$ftp_site->{maxConnections})
    {
        $cce->baddata($cce->event_oid(), 'maxConnections', 
                        '[[base-ftp.maxConnectionsRequired]]');
        $errors = 1;
    }

    if (!$ftp_site->{anonBasedir})
    {
        $cce->warn('[[base-ftp.anonBasedirRequired]]');
        $errors = 1;
    }

    # check for errors and bail if any
    if ($errors)
    {
        $cce->bye('FAIL');
        exit(1);
    }
}

$cce->bye('SUCCESS');
exit(0);

