#!/usr/bin/perl -I/usr/sausalito/perl
# Copyright 2001 Sun Microsystems, Inc.  All rights reserved.
# $Id: vsite_destroy.pl,v 1.4 2001/11/08 01:32:03 pbaltz Exp $
# clear anonymous ftp settings if a Vsite gets destroyed and they have
# anon ftp enabled

use CCE;

my $cce = new CCE;

$cce->connectfd();

# only old settings available on DESTROY
my $old_vsite = $cce->event_old();

my (@oids) = $cce->findx('FtpSite', { 'anonymousOwner' => $old_vsite->{name} });

for my $oid (@oids)
{
    my ($ok) = $cce->set($oid, '', { 'anonymousOwner' => '', 'anonymous' => 0 });

    if (!$ok)
    {
        $cce->warn('[[base-ftp.cantDisableAnonVsite]]');
    }
}

# check for affected FtpSite entries by IP
my (@ftpsite_oids) = $cce->findx('FtpSite', { 'ipaddr' => $old_vsite->{ipaddr} });
for my $oid (@ftpsite_oids)
{
    my ($ok) = $cce->set($oid, '', { 'commit' => time() });
}

$cce->bye('SUCCESS');
exit(0);

